"use client";
import { fromMarkdown as a } from "../../mdast-util-from-markdown/lib/index.js";
function o(t) {
  const s = this;
  s.parser = n;
  function n(r) {
    return a(r, {
      ...s.data("settings"),
      ...t,
      // Note: these options are not in the readme.
      // The goal is for them to be set by plugins on `data` instead of being
      // passed by users.
      extensions: s.data("micromarkExtensions") || [],
      mdastExtensions: s.data("fromMarkdownExtensions") || []
    });
  }
}
export {
  o as default
};
